Bug 1283441 - glibc's build-locale-archive has strange access mode
glibc's build-locale-archive has strange access mode
Status: NEW
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: glibc team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 19:14 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2017-08-15 03:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-11-18 19:14:22 EST
Description of problem:
$ ls -lh /usr/sbin/build-locale-archive
-rwx------. 1 root root 963K Nov 16 15:57 /usr/sbin/build-locale-archive

It's really strange for a binary (or anything else for that matter) packaged in an rpm to not be publicly readable. Breaks rpm -V, makes it impossible to be called by a normal user. 

Version-Release number of selected component (if applicable):
glibc-common-2.22.90-18.fc24.x86_64 (but at least F23 is similar)
Comment 1 Jan Kurik 2016-02-24 08:59:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:31:32 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Zbigniew Jędrzejewski-Szmek 2017-07-25 18:50:12 EDT
Same in glibc-common-2.25-7.fc26.x86_64.
Comment 4 Jan Kurik 2017-08-15 03:21:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.